Theme Options Not Saving

21/05/2019

If you are experiencing an issue where the Theme Options are not saving properly, the following list may help.

  • Ensure that your theme, WordPress and all plugins are up to date. The current Avada version is 5.9.1 (Released on May 3rd, 2019), the current Fusion Builder version is 1.9.1, and the Fusion Core is version is 3.9.1
  • Try a simple page refresh and try again.
  • Navigate to Avada > System Status, and ensure there are no system environment values listed as insufficient (indicated in red). Otherwise, they need to be adjusted. Especially too low memory limits could be causing issues. For detailed instructions explaining what the PHP configuration limits are and how to adjust them, read our System Status Limits doc.
  • Check for any possible 3rd party plugin conflicts. Deactivate all your 3rd party plugins and trying to save Theme Options again. If that works, activate the plugins again one by one to see which is causing the issue.
  • Sometimes Theme Options are not saved due to a 500 error occuring during the AJAX save call, which can be seen in the browser console. This happens due to low memory, a plugin conflict or due to server setup issues. One of the most common server issues is security rules that prevent AJAX saving. This can be tested by disabling AJAX saving by adding the following constant to your wp-config.php:
    Copy to Clipboard
  • When you save the Theme Options, and the browser scrolls up to the top of the panel, look for a notice marked in red, reading: "Invalid security credential. Please reload the page and try again". In that case, you have have to login newly to your WordPress dashboard and Theme Options will save again correctly.
  • Empty your browser cache and disable any browser add-ons you might have.
  • Contact your hosting provider and ask them to check any security settings that may be causing the issue. This issue is sometimes caused by a ModSecurity rule being triggered on the server. If you have an error like the one shown below in the console, contact your host and ask them to whitelist the rules that triggered by ModSecurity.
mod_security_warning